import ErrNo from "@/constants/errorEnum";

export default class AppError extends Error {
  errno = ErrNo.ERROR;

  constructor(message: string, errno?: ErrNo) {
    super(message);
    if (errno) {
      this.errno = errno;
    } else {
      this.errno = ErrNo.ERROR;
    }
  }
}
